Bug 123449 - tui mode should work
tui mode should work
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: redhat-config-network (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-18 13:11 EDT by Jonathan Reed
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:26:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Reed 2004-05-18 13:11:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
When running redhat-config-network in TTY mode, the user is told they
should not run the tool, and should either start X or ssh in from
another machine and use X forwarding.  However, the option to run
anyway is available.

Not having a user-friendly text-mode tool for network configuration is
poor.  In a campuswide computing environment (particularly one with a
lot of laptops, where X often will not work on the first try), walking
novice users through ssh/X11 forwarding is unacceptable, as is walking
them through ifconfig commands.  

What are the issues preventing redhat-config-network-tui from working
- I realize it lacks full functionality, but can it be made acceptable
for bares bones configuration of an interface (namely: hostname,
gateway, netmask, ip address, DNS servers, and DNS search path)?


Additionally, the old "netconfig" program is still present, in the
"netconfig" package (netconfig-0.8.19-1).  Should users still be using
this?  It's not present in the Component list, which leads me to
believe it shouldn't exist.

Version-Release number of selected component (if applicable):
redhat-config-network-1.2.60-1


How reproducible:
Always

Steps to Reproduce:
1. Login to a TTY session.
2. Run redhat-config-network.
3. See the error message.
    

Actual Results:  I got the message telling me to go use SSH/X11
forwarding.

Expected Results:  Users should be able to run a tty-mode network
configuration tool without having to jump through hoops.

Additional info:
Comment 1 wdc 2004-05-18 13:18:29 EDT
I'm the designated "Platform Coordinator" at MIT for the campus wide
rollout and support of Red Hat Enterprise.  It is important that
people using Red Hat at MIT get a fully supportable network
configuration tool.

It makes sense to me that, as a temporary situation, a GUI-only
network configuration system is supported.  Longer term, TTY AND GUI
are required.  Other competing Linux distributions get this right, and
improving the situation should not require a lot of effort.

-wdc
RHE Platform Coordinator at MIT
Comment 2 Jason Smith 2005-06-24 17:52:31 EDT
I would like to add a comment about the obvious catch-22 situation the tui is
asking of the user.  How is someone supposed to ssh into a system to run the
network config tool if the reason why they want to run the tool in the first
place is because the current network config is broken and they need to fix it???

Also, it has been more than 1 year and no one from RedHat has even made a comment.

~Jason
Comment 3 wdc 2005-10-06 20:57:50 EDT
I was doing some network configuring of a Laptop last month, and used
system-config-network-tui under RHEL 4 U1.

I am happy to report that a TTY interface ran rather than saying "Use X"
so we have DEFINITELY made progress.

There are two disappointments:

1. That Red Hat had insufficient resources to follow up with this bug report and
announce the progress.

2. More importantly, its a disappointment that the tui functionality is a RATHER
circumscribed subset of functionality available via the gui.

QUESTION:

What is the long term plan for system-config-network-tui?

-wdc
Linux Platform Coodinator at MIT
Comment 4 Harald Hoyer 2005-10-07 10:43:42 EDT
Well, encourage the community to send patches :)
Comment 5 RHEL Product and Program Management 2007-10-19 15:26:17 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.
Comment 6 wdc 2007-10-19 18:43:04 EDT
Here was an opportunity to say, "WE FIXED THIS!" 
But instead, the ticket just sat, ignored, for two years, and then got closed out
by what is obviously a script that just goes and bulk-closes anything labeled RHEL 3.

Way to go Red Hat.  Good job encouraging people to take the time to report bugs.

If anybody cares, under RHEL 5, the command is now called system-config-network-tui
and it seems to start up and run just fine.

Note You need to log in before you can comment on or make changes to this bug.